/***************************************************************
 * new file class.c
 ***************************************************************/


#include "defns.i"
#include "types.i"
#include "extern.i"


/* I'm using Case[MaxAtt+1] to store the number of classes this case
 * belongs to, and Case[MaxAtt+1+n] to store the nth class.
 */


int NumberOfClasses(Description Case)
{
  return Case[MaxAtt+1]._discr_val;
}

ClassNo ClassAt(Description Case, int n)
{
  return Case[MaxAtt+1+n]._discr_val; 
}

void InitialiseClassVal(Description Case)
{
  Case[MaxAtt+1]._discr_val = 0;
}

void SetClassVal(Description Case, ClassNo dv)
{
  short n;
  Case[MaxAtt+1]._discr_val++;
  n = Case[MaxAtt+1]._discr_val;
  Case[MaxAtt+1+n]._discr_val = dv;
}


Boolean IsInClasses(Description Case, ClassNo c)
{
  short i;
  short noclasses = Case[MaxAtt+1]._discr_val;
  ForEach(i,1,noclasses)
    if(Case[MaxAtt+1+i]._discr_val == c) 
      return true;
  return false;
}



